// ======================================================================
// Taken from Flap
// ======================================================================
textures/of2/lightstreak_s
{
	qer_editorimage textures/of2/lightstreak.tga
	qer_trans 0.5

	surfaceparm	nolightmap
	surfaceparm	nonsolid

	sort additive
	cull disable

	{
		map	textures/of2/lightstreak.tga
		blendfunc GL_ONE GL_ONE
		//rgbGen identity
		tcMod scroll 0.2 0
	}
}

// ======================================================================
// Taken from Flap
// ======================================================================
textures/of2/lightstreak2_s
{
	qer_editorimage textures/of2/lightstreak_2.tga
	qer_trans 0.5

	surfaceparm	nolightmap
	surfaceparm	nonsolid

	sort additive
	cull disable

	{
		map	textures/of2/lightstreak_2.tga
		blendfunc GL_ONE GL_ONE
		//rgbGen identity
		tcMod scroll 0.2 0
	}
}

// ======================================================================
// Taken from Flap
// ======================================================================
textures/of2/lightstreak3_s
{
	qer_editorimage textures/of2/lightstreak_3.tga
	qer_trans 0.5

	surfaceparm	nolightmap
	surfaceparm	nonsolid

	sort additive
	cull disable

	{
		map	textures/of2/lightstreak_3.tga
		blendfunc GL_ONE GL_ONE
		//rgbGen identity
		tcMod scroll 0.2 0
	}
}
// ======================================================================
// Taken from Flap
// ======================================================================
textures/of2/flap_fog_s
{
	qer_editorimage textures/common-trem/nobuild.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.05 0.05 0.05 ) 600
}

// ======================================================================
// Wall Torch Stuff - Thanks to Sockter
// ======================================================================
textures/sockter/torchflame
{
	qer_editorimage	textures/sockter/flame1_editor.tga
	qer_alphafunc greater 0.5
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	qer_trans 0.99
	cull none
	q3map_surfacelight 7500
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/sockter/wood1toplit
{
	qer_editorimage	textures/sockter/wood1toplit.tga
	q3map_nonplanar
	q3map_shadeAngle 179

	{
		map textures/sockter/wood1toplit.tga
		rgbGen vertex
	}
	{
		map textures/sockter/wood1glow.tga
		blendFunc add
		tcMod rotate -6
		rgbGen wave sin .8 .1 0 .6	
	}
	{
		map textures/sockter/wood1glow.tga
		blendFunc add
		tcMod rotate 8
	}
}

textures/sockter/wood1topout
{
	qer_editorimage	textures/sockter/wood1topout.tga
	q3map_nonplanar
	q3map_shadeAngle 120

	{
		map textures/sockter/wood1topout.tga
		rgbGen const ( 0.3 0.3 0.3 )
	}
}

//========================================================
// myrock.shader
//========================================================
textures/of2/wall01
{
	q3map_nonplanar
 	q3map_shadeangle 60
 	qer_editorimage textures/of2/rock.jpg
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/of2/rock.tga
 		blendFunc filter
 	}
}

//========================================================
// mygrass.shader
//========================================================
textures/of2/grass_p
{
	q3map_nonplanar
 	q3map_shadeangle 60
 	qer_editorimage textures/of2/grass_2.jpg
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/of2/grass_2.tga
 		blendFunc filter
 	}
}

// by Ingar
textures/of2/particle_white
{
	qer_editorimage textures/of2/particlewhite.tga
        //entityMergable
        cull none
        {
                map textures/of2/particlewhite.tga
		//blendFunc blend
		depthwrite
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                //rgbGen          vertex
                alphaGen        vertex
        }
}

// by Ingar
textures/of2/waterjet
{
        entityMergable
        cull none
        {
                map textures/of2/waterjet.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen          vertex
                alphaGen        vertex
        }
}

textures/of2/water2
{
	qer_editorimage textures/of2/water2.tga
	qer_trans .5
	
	entityMergable
	
	q3map_globaltexture

	surfaceparm nobuild
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	surfaceparm fog
	fogparms ( 0.01 0.05 0.05 ) 1024

	cull disable
	tesssize 128
	deformVertexes wave 100 sin 1 2 1 .1

	{
		map textures/of2/water2.tga
		blendfunc GL_ONE GL_SRC_COLOR
		tcMod scale .03 .03
		tcMod scroll .01 .001
	}
	{
		map textures/of2/water2.tga
		blendfunc GL_DST_COLOR GL_ONE
		tcMod turb .1 .1 0 .01
		tcMod scale .5 .5
		tcMod scroll -.02 .1
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap 
		blendfunc filter
	}
}